# Documentation en Français

La documentation pour le projet Gestion Certificat en Français est en cours de rédaction.

## Tests

Ce projet utilise PHPUnit pour les tests unitaires. Pour exécuter les tests localement, suivez ces étapes :

1.  **Installez les dépendances de développement :**
    Assurez-vous d'avoir Composer installé. Ensuite, naviguez vers le répertoire `php/` et exécutez :
    ```bash
    composer install
    ```
    Cette commande installera PHPUnit et les autres dépendances nécessaires au développement.

2.  **Lancez la suite de tests :**
    Une fois les dépendances installées, vous pouvez exécuter la suite de tests PHPUnit. Depuis la racine du projet, exécutez :
    ```bash
    php/vendor/bin/phpunit --configuration php/phpunit.xml.dist
    ```
    Ou, si vous êtes déjà dans le répertoire `php/` :
    ```bash
    vendor/bin/phpunit --configuration phpunit.xml.dist
    ```

## CI/CD (Intégration Continue / Déploiement Continu)

Nous utilisons GitHub Actions pour automatiser l'exécution des tests à chaque fois que des modifications sont poussées (`push`) ou qu'une demande de tirage (`pull_request`) est faite sur la branche `main`.

Le workflow, défini dans `.github/workflows/ci.yml`, effectue les actions suivantes :
- Prépare l'environnement avec la version PHP spécifiée.
- Met en cache les dépendances Composer pour accélérer les builds.
- Installe les dépendances du projet.
- Exécute la suite de tests PHPUnit.

Cela garantit que toute nouvelle modification est automatiquement testée, aidant à maintenir la qualité et la stabilité du code.

[Retour au README principal](../../README.md)
